Loading...
Searching...
No Matches
stdex::parser::basic_integer10< T > Class Template Reference

Test for decimal integer. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_integer10< T >:

## Public Member Functions

basic_integer10 (const std::shared_ptr< basic_parser< T > > &digit_0, const std::shared_ptr< basic_parser< T > > &digit_1, const std::shared_ptr< basic_parser< T > > &digit_2, const std::shared_ptr< basic_parser< T > > &digit_3, const std::shared_ptr< basic_parser< T > > &digit_4, const std::shared_ptr< basic_parser< T > > &digit_5, const std::shared_ptr< basic_parser< T > > &digit_6, const std::shared_ptr< basic_parser< T > > &digit_7, const std::shared_ptr< basic_parser< T > > &digit_8, const std::shared_ptr< basic_parser< T > > &digit_9, const std::locale &locale=std::locale())

virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Public Member Functions inherited from stdex::parser::basic_integer< T >
| basic_integer (const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Attributes

std::shared_ptr< basic_parser< T > > | m_digit_0
std::shared_ptr< basic_parser< T > > | m_digit_1
std::shared_ptr< basic_parser< T > > | m_digit_2
std::shared_ptr< basic_parser< T > > | m_digit_3
std::shared_ptr< basic_parser< T > > | m_digit_4
std::shared_ptr< basic_parser< T > > | m_digit_5
std::shared_ptr< basic_parser< T > > | m_digit_6
std::shared_ptr< basic_parser< T > > | m_digit_7
std::shared_ptr< basic_parser< T > > | m_digit_8
std::shared_ptr< basic_parser< T > > | m_digit_9
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Additional Inherited Members

Public Attributes inherited from stdex::parser::basic_integer< T >
size_t | value
| Calculated value of the numeral.
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Detailed Description

template<class T>
class stdex::parser::basic_integer10< T >

Test for decimal integer.

## Member Function Documentation

## match()

template<class T >

virtual bool stdex::parser::basic_integer10< T >::match | ( | _In_reads_or_z_(end) const T * | text,
|  | size_t | start = `0`,
|  | size_t | end = `SIZE_MAX`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp